Subject: Re: bug#58767: telega makes emacs crash (under an EXWM session?)

From: Eli Zaretskii <[email-masked]>
Date: Tue, 25 Oct 2022 21:03:40 +0300

> Date: Tue, 25 Oct 2022 19:36:32 +0200 (CEST)
> From: [email-masked]
> Cc: [email-masked], [email-masked]
> 
> I've tested telega with emacs-29 (I cloned from savannah.gnu.org), and it appears that, indeed, telega does
> not seem to crash there.

Thanks.  If Emacs 29 doesn't crash, then I guess the issue, whatever
it is, was already fixed.

> Thread 1 "emacs" received signal SIGABRT, Aborted.
> 0x00007ffff596c64c in ?? () from /usr/lib/libc.so.6
> (gdb) bt
> #0  0x00007ffff596c64c in  () at /usr/lib/libc.so.6
> #1  0x00007ffff591c958 in raise () at /usr/lib/libc.so.6
> #2  0x0000555555700a40 in terminate_due_to_signal (sig=6, backtrace_limit=40) at emacs.c:437
> #3  0x000055555572e7a9 in emacs_abort () at sysdep.c:2282
> #4  0x00005555556900bf in bidi_resolve_explicit (bidi_it=0x7fffffff8760) at bidi.c:1949

This is indeed the second emacs_abort, not the one shown by GDB in the
optimized build.